# The Componere\Abstract\Definition class

(Componere 2 >= 2.1.0)

## Introduction

This final abstract represents a class entry, and should not be used by the programmer.

## Class synopsis

final abstract Componere\Abstract\Definition {
/* Methods */
public addInterface ( string `$interface` ) : Definition
public addMethod ( string `$name` , \Componere\Method `$method` ) : Definition
public addTrait ( string `$trait` ) : Definition
public getReflector ( void ) : \ReflectionClass
}

## Table of Contents

- Componere\Abstract\Definition::addInterface — Add Interface
- Componere\Abstract\Definition::addMethod — Add Method
- Componere\Abstract\Definition::addTrait — Add Trait
- Componere\Abstract\Definition::getReflector — Reflection